#############################################
# SYSTEM SPECIFIC VARIABLE SUBSTITUTIONS
#############################################
substitutions:
  mqtt_server: !secret ha_mqtt_server
  mqtt_username: !secret ha_mqtt_username
  mqtt_password: !secret ha_mqtt_password
  mqtt_topic: "esphome" #main topic for the mqtt server, call it what you like

#############################################
# MQTT Monitoring
# https://esphome.io/components/mqtt.html?highlight=mqtt
#############################################
mqtt:
  broker: ${mqtt_server}
  topic_prefix: ${mqtt_topic}/${local_device_name}
  username: ${mqtt_username}
  password: ${mqtt_password}
  discovery: False # enable entity discovery (true is default)
  discover_ip: False # enable device discovery (true is default)
  id: mqtt_client
  reboot_timeout: 0s  # same for MQTT
  log_topic: null     # <— stops MQTT log streaming (big JSON payloads)
  keepalive: 60s
